#pragma once

#include <QDialog>

namespace Ui {
	class QCreateSARIntensityByLookTableDialogClass;
};

class QCreateSARIntensityByLookTableDialog : public QDialog
{
	Q_OBJECT

public:
	QCreateSARIntensityByLookTableDialog(QWidget *parent = nullptr);
	~QCreateSARIntensityByLookTableDialog();


public slots:

	void onBtnInRasterClicked(bool);
	void onBtnOutRasterClicked(bool);
	void onBtnRefRasterClicked(bool);
	void ondialogBtnaccepted();
	void ondialogBtnrejected();

	void showPrcess(long v, long maxv);

private:
	Ui::QCreateSARIntensityByLookTableDialogClass* ui;
};
